LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.NUMERIC_STD.ALL;

LIBRARY work;
USE work.YOLO_pkg.ALL;

ENTITY L3_WROM IS
    PORT (
        clk: IN STD_LOGIC;
        weight : OUT STD_LOGIC_VECTOR(17 DOWNTO 0);
        address : IN unsigned(weightsbitsAddress(3)-1 DOWNTO 0));
END L3_WROM;

ARCHITECTURE RTL OF L3_WROM IS

    TYPE ROM_mem IS ARRAY (0 TO 1023) OF STD_LOGIC_VECTOR(17 DOWNTO 0);

    signal ROM_content : ROM_mem := (0=>"100001111"&"100110110",
    1=>"000101101"&"000110110",
    2=>"011100100"&"011011011",
    3=>"110001000"&"100100100",
    4=>"100111000"&"010111111",
    5=>"111011000"&"001001010",
    6=>"111000000"&"110110110",
    7=>"110110101"&"011010010",
    8=>"101111000"&"110010110",
    9=>"010000111"&"011001010",
    10=>"111110000"&"010011011",
    11=>"100000000"&"001001010",
    12=>"000001000"&"000010000",
    13=>"001000001"&"000100101",
    14=>"111100110"&"001001001",
    15=>"111001001"&"010110110",
    16=>"111001000"&"110110110",
    17=>"000110111"&"101101001",
    18=>"110111000"&"100001011",
    19=>"010000010"&"001111010",
    20=>"111000010"&"001001001",
    21=>"111000000"&"110110110",
    22=>"000111111"&"110110100",
    23=>"000111111"&"001101001",
    24=>"100110111"&"001001011",
    25=>"111001101"&"100100101",
    26=>"111111010"&"001001011",
    27=>"111001000"&"100100000",
    28=>"000111111"&"011000011",
    29=>"111000000"&"110110110",
    30=>"000111111"&"001000011",
    31=>"000000110"&"011011011",
    32=>"010010010"&"100100111",
    33=>"010000010"&"000100101",
    34=>"100010011"&"111000000",
    35=>"001000101"&"000000111",
    36=>"111010100"&"000111011",
    37=>"011000010"&"000111100",
    38=>"111111000"&"101111111",
    39=>"010010011"&"000100110",
    40=>"111000000"&"111000000",
    41=>"000010010"&"000000001",
    42=>"111111111"&"010000111",
    43=>"000000011"&"101000000",
    44=>"000000001"&"000001000",
    45=>"011011111"&"100001000",
    46=>"000000011"&"011001111",
    47=>"011001000"&"001011101",
    48=>"011011001"&"110010000",
    49=>"001000100"&"000111111",
    50=>"110110011"&"001101100",
    51=>"111111111"&"111000000",
    52=>"000000011"&"100000111",
    53=>"111111110"&"000111111",
    54=>"010000111"&"101111100",
    55=>"000000000"&"110001000",
    56=>"001111111"&"100001111",
    57=>"000010000"&"111100000",
    58=>"100000100"&"000111111",
    59=>"111111111"&"000010000",
    60=>"000000000"&"001100010",
    61=>"101101000"&"010000010",
    62=>"000000000"&"111010111",
    63=>"010101111"&"101001001",
    64=>"100100100"&"011001001",
    65=>"010011001"&"001011011",
    66=>"101100110"&"100100100",
    67=>"011001001"&"100101101",
    68=>"100110110"&"111001001",
    69=>"010001001"&"011011000",
    70=>"101110110"&"111101111",
    71=>"000011001"&"100100111",
    72=>"110010000"&"011001001",
    73=>"010000001"&"100100100",
    74=>"100110111"&"101111111",
    75=>"010010000"&"000000100",
    76=>"001100000"&"000000000",
    77=>"011011000"&"011000000",
    78=>"001001100"&"100110110",
    79=>"110010001"&"001101011",
    80=>"100110110"&"111111001",
    81=>"011001100"&"010001010",
    82=>"011001001"&"110000100",
    83=>"010010010"&"011011011",
    84=>"000001011"&"001001001",
    85=>"001001001"&"101100100",
    86=>"100100110"&"101111111",
    87=>"011101100"&"000100100",
    88=>"100100111"&"001001011",
    89=>"110011001"&"010010011",
    90=>"100110111"&"011011001",
    91=>"110001000"&"000000000",
    92=>"011000001"&"010011011",
    93=>"100110010"&"011001101",
    94=>"010000001"&"000100110",
    95=>"011011011"&"110101001",
    96=>"000100101"&"000000000",
    97=>"001100001"&"000010000",
    98=>"011100000"&"001101111",
    99=>"100001111"&"010000010",
    100=>"001110100"&"010111111",
    101=>"001110100"&"000000000",
    102=>"100011010"&"100100100",
    103=>"000110001"&"100100000",
    104=>"001011100"&"010101000",
    105=>"001110000"&"000110000",
    106=>"111110000"&"010110011",
    107=>"011100000"&"000111000",
    108=>"001000000"&"001001000",
    109=>"101001111"&"100101011",
    110=>"111000001"&"000111011",
    111=>"010010101"&"011011100",
    112=>"000100000"&"010101110",
    113=>"100001111"&"000010010",
    114=>"011110000"&"010110000",
    115=>"110100011"&"110111000",
    116=>"111100000"&"000100000",
    117=>"001011110"&"000110011",
    118=>"110000001"&"000000000",
    119=>"100000110"&"001100000",
    120=>"000100100"&"110000000",
    121=>"100001111"&"000001101",
    122=>"010110100"&"101111111",
    123=>"000001100"&"011011000",
    124=>"000011110"&"011011110",
    125=>"010110010"&"000000100",
    126=>"000001101"&"111000111",
    127=>"011100001"&"000000000",
    128=>"011011010"&"100101111",
    129=>"011001011"&"100101100",
    130=>"000011011"&"000000001",
    131=>"000100100"&"000000000",
    132=>"110011010"&"111101000",
    133=>"100100111"&"000001001",
    134=>"111011001"&"110111111",
    135=>"000100110"&"000100111",
    136=>"101101110"&"001000000",
    137=>"001100011"&"000100100",
    138=>"110111001"&"001000011",
    139=>"000000011"&"100100110",
    140=>"000000000"&"101001111",
    141=>"100110010"&"100000100",
    142=>"100100110"&"000000000",
    143=>"010011000"&"011111110",
    144=>"101101010"&"001101101",
    145=>"111011000"&"000100100",
    146=>"100111111"&"010000000",
    147=>"001010011"&"111111111",
    148=>"100100100"&"010001000",
    149=>"000110110"&"000000000",
    150=>"011011011"&"100101111",
    151=>"100011000"&"000000100",
    152=>"000011001"&"111110000",
    153=>"101110010"&"110111111",
    154=>"010000000"&"111111111",
    155=>"000100110"&"010111111",
    156=>"000111111"&"000000000",
    157=>"010010011"&"001111111",
    158=>"000011000"&"001001111",
    159=>"000100110"&"111110000",
    160=>"000010010"&"000111111",
    161=>"011011111"&"000000111",
    162=>"000000011"&"001001000",
    163=>"111111111"&"111110111",
    164=>"111110111"&"001001001",
    165=>"011101101"&"110011001",
    166=>"001000000"&"000111111",
    167=>"000111111"&"000110110",
    168=>"000000010"&"010111011",
    169=>"010111011"&"111001000",
    170=>"110100011"&"000000000",
    171=>"111111011"&"011001000",
    172=>"111111111"&"011000000",
    173=>"000000010"&"111110100",
    174=>"100110111"&"000110010",
    175=>"100111011"&"110111111",
    176=>"000000000"&"011011001",
    177=>"100010110"&"111100100",
    178=>"111111101"&"000000100",
    179=>"111111001"&"110111011",
    180=>"011001001"&"011001001",
    181=>"111111111"&"100110111",
    182=>"000000100"&"111111111",
    183=>"000111111"&"011000000",
    184=>"101110110"&"011000100",
    185=>"010011101"&"110110111",
    186=>"111111001"&"000000000",
    187=>"000000000"&"110110111",
    188=>"000100001"&"111011000",
    189=>"001011100"&"000111011",
    190=>"110011111"&"111000000",
    191=>"110111011"&"111001000",
    192=>"011111101"&"011100001",
    193=>"101100101"&"100101000",
    194=>"001000001"&"011100000",
    195=>"000000000"&"100101011",
    196=>"101100000"&"000001110",
    197=>"101100100"&"000111110",
    198=>"111111111"&"111111000",
    199=>"100101001"&"111111100",
    200=>"111000110"&"000111100",
    201=>"101101001"&"100001111",
    202=>"001010010"&"000111100",
    203=>"100100000"&"000110100",
    204=>"100000000"&"000001000",
    205=>"000000000"&"100001111",
    206=>"001000000"&"000001111",
    207=>"001001001"&"011001000",
    208=>"001011111"&"001111100",
    209=>"111011011"&"110000011",
    210=>"100100101"&"000011110",
    211=>"000000111"&"000011110",
    212=>"001000001"&"001110000",
    213=>"101111000"&"011100000",
    214=>"001000001"&"000000011",
    215=>"000000100"&"000000111",
    216=>"000000000"&"001110100",
    217=>"100000100"&"110000011",
    218=>"100000000"&"011110000",
    219=>"000110111"&"000000001",
    220=>"001001000"&"111000111",
    221=>"010010111"&"011110000",
    222=>"001000000"&"000011110",
    223=>"110100100"&"011100110",
    224=>"000000111"&"101001001",
    225=>"111100000"&"101101100",
    226=>"110000001"&"011100011",
    227=>"111101001"&"000000000",
    228=>"111111011"&"110000101",
    229=>"111000000"&"100100110",
    230=>"111100000"&"111000000",
    231=>"000000111"&"111101001",
    232=>"101101001"&"100000000",
    233=>"000010111"&"010110110",
    234=>"010110010"&"111111111",
    235=>"000001111"&"100000001",
    236=>"010001011"&"101000001",
    237=>"101011111"&"000000000",
    238=>"011111101"&"111111111",
    239=>"000000111"&"000001011",
    240=>"100000100"&"101001011",
    241=>"111000001"&"011010110",
    242=>"001010100"&"110101000",
    243=>"111101111"&"000000000",
    244=>"001000110"&"110101101",
    245=>"100000001"&"000000001",
    246=>"001000001"&"100001001",
    247=>"100000000"&"111110110",
    248=>"010111111"&"111111111",
    249=>"000011000"&"000110100",
    250=>"111110010"&"111110100",
    251=>"100110101"&"000000001",
    252=>"001000001"&"010100111",
    253=>"100001001"&"101001001",
    254=>"000011101"&"000111111",
    255=>"100000011"&"110110110",
    256=>"001101101"&"111001000",
    257=>"101100100"&"000101111",
    258=>"000000000"&"100110111",
    259=>"100000100"&"011000100",
    260=>"101111101"&"000000000",
    261=>"111010110"&"100100111",
    262=>"101101101"&"100111011",
    263=>"101100111"&"001001111",
    264=>"111111111"&"110111011",
    265=>"000000011"&"011001100",
    266=>"000000000"&"111111111",
    267=>"101100111"&"001001000",
    268=>"000000000"&"011000000",
    269=>"000000000"&"011111101",
    270=>"111100111"&"011001100",
    271=>"000110000"&"111001001",
    272=>"111111111"&"000000000",
    273=>"111000011"&"000011001",
    274=>"001000100"&"001100110",
    275=>"111001100"&"100110111",
    276=>"011111101"&"001000000",
    277=>"100111101"&"011001100",
    278=>"001000101"&"111101101",
    279=>"111000111"&"111100100",
    280=>"000000000"&"100110111",
    281=>"111001111"&"100110011",
    282=>"011011011"&"000110011",
    283=>"000000000"&"000100110",
    284=>"111000111"&"100110111",
    285=>"101101100"&"001000010",
    286=>"110111111"&"000000111",
    287=>"111000111"&"111001010",
    288=>"010010010"&"000101001",
    289=>"010010011"&"100101100",
    290=>"111110001"&"001000000",
    291=>"000000000"&"000000000",
    292=>"000001000"&"001101111",
    293=>"010011011"&"000101001",
    294=>"100100101"&"100000111",
    295=>"000011111"&"101101101",
    296=>"000000000"&"111111101",
    297=>"000011111"&"001101101",
    298=>"001000001"&"000000100",
    299=>"000000001"&"000000000",
    300=>"010000010"&"101001000",
    301=>"101100000"&"011001011",
    302=>"111111111"&"000000000",
    303=>"110111111"&"000100111",
    304=>"110100000"&"011010111",
    305=>"111100000"&"101000111",
    306=>"001001011"&"000101101",
    307=>"100100000"&"111101101",
    308=>"010000100"&"000001101",
    309=>"011001001"&"011111111",
    310=>"111100000"&"000000000",
    311=>"111100001"&"000000011",
    312=>"000000000"&"100100010",
    313=>"011111111"&"000000100",
    314=>"111110101"&"000100100",
    315=>"010001100"&"101000010",
    316=>"111011011"&"010001110",
    317=>"000101000"&"101100101",
    318=>"111100110"&"000000010",
    319=>"011111111"&"111111111",
    320=>"011110011"&"100001011",
    321=>"011110000"&"100001011",
    322=>"111111111"&"011010001",
    323=>"000000000"&"110111111",
    324=>"011111110"&"110000000",
    325=>"000010001"&"100101111",
    326=>"000111111"&"011111111",
    327=>"011010000"&"001001011",
    328=>"011011111"&"111111000",
    329=>"010000011"&"110100111",
    330=>"011111111"&"100110110",
    331=>"111000001"&"000001001",
    332=>"110000000"&"100100000",
    333=>"100000000"&"011111110",
    334=>"000011111"&"011111111",
    335=>"010100000"&"011001011",
    336=>"100101101"&"000111011",
    337=>"111000000"&"000001001",
    338=>"010000001"&"111100010",
    339=>"111111111"&"111111111",
    340=>"010110101"&"100000000",
    341=>"000001011"&"000000000",
    342=>"111110000"&"001001001",
    343=>"111100000"&"011110110",
    344=>"011011111"&"100001000",
    345=>"000000000"&"000000000",
    346=>"001011111"&"100000001",
    347=>"000000000"&"110111110",
    348=>"111000001"&"000000000",
    349=>"000111111"&"100000100",
    350=>"110000001"&"110111111",
    351=>"111000000"&"111000010",
    352=>"001001001"&"011001001",
    353=>"000001011"&"100100110",
    354=>"011011101"&"000000000",
    355=>"100111010"&"110110110",
    356=>"000111000"&"001000100",
    357=>"111100000"&"000100110",
    358=>"011110100"&"110110001",
    359=>"000011011"&"011011001",
    360=>"101100101"&"100110100",
    361=>"111100100"&"011011001",
    362=>"001111100"&"010011110",
    363=>"111010000"&"011011001",
    364=>"001111000"&"001001101",
    365=>"001111100"&"010000010",
    366=>"000100100"&"101101111",
    367=>"000000101"&"101100101",
    368=>"111110000"&"000110111",
    369=>"111100100"&"011000110",
    370=>"000111110"&"110011000",
    371=>"000000111"&"100000100",
    372=>"000001111"&"100100110",
    373=>"000000001"&"111011000",
    374=>"001011011"&"001000001",
    375=>"011100010"&"011010010",
    376=>"110111110"&"111101111",
    377=>"100101001"&"111001111",
    378=>"100100101"&"000101100",
    379=>"010101110"&"011111001",
    380=>"111110000"&"100110110",
    381=>"100101100"&"001100101",
    382=>"010110100"&"010011010",
    383=>"011001011"&"001101100",
    384=>"010000000"&"000010010",
    385=>"000000000"&"000011000",
    386=>"000001001"&"100100000",
    387=>"011111111"&"001011110",
    388=>"000000101"&"111111011",
    389=>"000000000"&"000010010",
    390=>"000010010"&"001011101",
    391=>"010000000"&"000011000",
    392=>"111000000"&"110000000",
    393=>"010111000"&"010111000",
    394=>"100011001"&"000010000",
    395=>"000000000"&"000110000",
    396=>"011111101"&"010010000",
    397=>"111110011"&"010010010",
    398=>"110110011"&"001011000",
    399=>"000110000"&"010110010",
    400=>"010100001"&"000011000",
    401=>"000011010"&"010010010",
    402=>"111111111"&"000011000",
    403=>"000000111"&"111011010",
    404=>"011111111"&"000011000",
    405=>"010110110"&"000011000",
    406=>"001000101"&"010010010",
    407=>"100110011"&"000110000",
    408=>"111011010"&"000010011",
    409=>"000100110"&"001111000",
    410=>"111011110"&"100110001",
    411=>"101000000"&"000000010",
    412=>"010011000"&"100011001",
    413=>"010011111"&"000101001",
    414=>"000101100"&"111010111",
    415=>"111011000"&"000111010",
    416=>"101100101"&"111010010",
    417=>"101000101"&"010001011",
    418=>"000000000"&"100000010",
    419=>"001101100"&"001001100",
    420=>"000000000"&"111000011",
    421=>"111001001"&"001000011",
    422=>"100000111"&"111000111",
    423=>"101000100"&"010011001",
    424=>"111000000"&"011010000",
    425=>"101000100"&"000111001",
    426=>"111111111"&"110010011",
    427=>"001000000"&"110001000",
    428=>"001000000"&"000000000",
    429=>"110010011"&"011101100",
    430=>"001001000"&"111000111",
    431=>"001000001"&"000000110",
    432=>"100111111"&"010010110",
    433=>"001000101"&"101101101",
    434=>"111101101"&"011011000",
    435=>"000000000"&"101000011",
    436=>"000000000"&"000010010",
    437=>"001000000"&"111000000",
    438=>"111111111"&"101000101",
    439=>"100100100"&"000111000",
    440=>"110110110"&"100111011",
    441=>"101101101"&"011001100",
    442=>"100000000"&"110100001",
    443=>"101101011"&"011000100",
    444=>"011001001"&"000111000",
    445=>"010010010"&"110000111",
    446=>"111111111"&"000111001",
    447=>"001000001"&"000111011",
    448=>"010000101"&"100100110",
    449=>"000000110"&"011001001",
    450=>"011100100"&"010111001",
    451=>"000111001"&"110011011",
    452=>"011100010"&"001000000",
    453=>"000110011"&"011001000",
    454=>"000111110"&"110001101",
    455=>"000100111"&"100110110",
    456=>"011110011"&"111111000",
    457=>"011000111"&"100110110",
    458=>"000001000"&"111111111",
    459=>"000000111"&"001100100",
    460=>"000000001"&"000100100",
    461=>"100000000"&"010000010",
    462=>"111111000"&"101100011",
    463=>"000100011"&"111001101",
    464=>"000110011"&"010001110",
    465=>"111001100"&"010010010",
    466=>"111101000"&"111011001",
    467=>"001000111"&"111110000",
    468=>"000011001"&"011111010",
    469=>"100111000"&"111011010",
    470=>"001000111"&"011000100",
    471=>"111001100"&"001110000",
    472=>"111001100"&"011111110",
    473=>"001000111"&"101101111",
    474=>"001000111"&"000100100",
    475=>"000111011"&"111011011",
    476=>"100000111"&"011011101",
    477=>"000111001"&"100101100",
    478=>"000001001"&"000000110",
    479=>"110001111"&"010010000",
    480=>"011001111"&"100100110",
    481=>"000100010"&"101101000",
    482=>"110110001"&"111111101",
    483=>"001100110"&"111111111",
    484=>"000000000"&"000000001",
    485=>"011001110"&"101111111",
    486=>"000000011"&"111000100",
    487=>"000001111"&"101111001",
    488=>"111011111"&"000000000",
    489=>"100000000"&"111101001",
    490=>"111001001"&"111111111",
    491=>"000000000"&"101001000",
    492=>"111111010"&"110000000",
    493=>"011111110"&"111111111",
    494=>"010001001"&"110101001",
    495=>"100110110"&"011101110",
    496=>"010010010"&"000000000",
    497=>"000001110"&"100000100",
    498=>"011001011"&"111000000",
    499=>"000011010"&"100101011",
    500=>"111111111"&"100001011",
    501=>"111111000"&"100011101",
    502=>"100100111"&"001101101",
    503=>"111111001"&"000000000",
    504=>"110000001"&"111111111",
    505=>"101110110"&"001100110",
    506=>"110100111"&"101011010",
    507=>"011101011"&"011101110",
    508=>"001011100"&"001000000",
    509=>"011000011"&"000000000",
    510=>"101110011"&"000000000",
    511=>"111111011"&"110111001",
    512=>"111101100"&"100001111",
    513=>"101101000"&"000101101",
    514=>"100011111"&"011100100",
    515=>"011111110"&"110001000",
    516=>"111100000"&"100111000",
    517=>"001111101"&"111011000",
    518=>"011111100"&"111000000",
    519=>"111100000"&"110110101",
    520=>"111100000"&"101111000",
    521=>"110111000"&"010000111",
    522=>"110100001"&"111110000",
    523=>"110100101"&"100000000",
    524=>"100000000"&"000001000",
    525=>"111111010"&"001000001",
    526=>"000011111"&"111100110",
    527=>"011101101"&"111001001",
    528=>"000000000"&"111001000",
    529=>"011011011"&"000110111",
    530=>"100000011"&"110111000",
    531=>"111111111"&"010000010",
    532=>"100111111"&"111000010",
    533=>"100100111"&"111000000",
    534=>"111110111"&"000111111",
    535=>"111010100"&"000111111",
    536=>"110111010"&"100110111",
    537=>"011011000"&"111001101",
    538=>"110111111"&"111111010",
    539=>"001000100"&"111001000",
    540=>"111011000"&"000111111",
    541=>"100101101"&"111000000",
    542=>"001110010"&"000111111",
    543=>"110100000"&"000000110",
    544=>"011001101"&"010010010",
    545=>"011100100"&"010000010",
    546=>"011011001"&"100010011",
    547=>"000000100"&"001000101",
    548=>"110011111"&"111010100",
    549=>"011011000"&"011000010",
    550=>"110111011"&"111111000",
    551=>"011101000"&"010010011",
    552=>"111001000"&"111000000",
    553=>"111111000"&"000010010",
    554=>"111111011"&"111111111",
    555=>"011001000"&"000000011",
    556=>"001000000"&"000000001",
    557=>"001100110"&"011011111",
    558=>"111111111"&"000000011",
    559=>"011001000"&"011001000",
    560=>"110000110"&"011011001",
    561=>"110111110"&"001000100",
    562=>"001100110"&"110110011",
    563=>"001000000"&"111111111",
    564=>"000000001"&"000000011",
    565=>"110111111"&"111111110",
    566=>"011000101"&"010000111",
    567=>"001100111"&"000000000",
    568=>"111111111"&"001111111",
    569=>"000000000"&"000010000",
    570=>"000000100"&"100000100",
    571=>"011000100"&"111111111",
    572=>"001000010"&"000000000",
    573=>"011000110"&"101101000",
    574=>"010000010"&"000000000",
    575=>"011011000"&"010101111",
    576=>"011001010"&"100100100",
    577=>"111100110"&"010011001",
    578=>"101001000"&"101100110",
    579=>"100111000"&"011001001",
    580=>"000110111"&"100110110",
    581=>"011000111"&"010001001",
    582=>"111011100"&"101110110",
    583=>"000110111"&"000011001",
    584=>"011000110"&"110010000",
    585=>"110010110"&"010000001",
    586=>"000011000"&"100110111",
    587=>"000100111"&"010010000",
    588=>"000100000"&"001100000",
    589=>"100000110"&"011011000",
    590=>"111000000"&"001001100",
    591=>"000100111"&"110010001",
    592=>"010111111"&"100110110",
    593=>"111001000"&"011001100",
    594=>"101111011"&"011001001",
    595=>"000111001"&"010010010",
    596=>"000111001"&"000001011",
    597=>"000010110"&"001001001",
    598=>"110011000"&"100100110",
    599=>"111011000"&"011101100",
    600=>"111011100"&"100100111",
    601=>"000100001"&"110011001",
    602=>"111011000"&"100110111",
    603=>"010100111"&"110001000",
    604=>"111010000"&"011000001",
    605=>"010110001"&"100110010",
    606=>"111101010"&"010000001",
    607=>"001110010"&"011011011",
    608=>"000111111"&"000100101",
    609=>"101000001"&"001100001",
    610=>"011111100"&"011100000",
    611=>"100110001"&"100001111",
    612=>"000011010"&"001110100",
    613=>"100110110"&"001110100",
    614=>"111001111"&"100011010",
    615=>"110010000"&"000110001",
    616=>"001111111"&"001011100",
    617=>"110110010"&"001110000",
    618=>"001001100"&"111110000",
    619=>"000110110"&"011100000",
    620=>"010111111"&"001000000",
    621=>"111011011"&"101001111",
    622=>"100110010"&"111000001",
    623=>"110100111"&"010010101",
    624=>"000010010"&"000100000",
    625=>"111100111"&"100001111",
    626=>"010011111"&"011110000",
    627=>"100111011"&"110100011",
    628=>"110111000"&"111100000",
    629=>"010111011"&"001011110",
    630=>"111111111"&"110000001",
    631=>"000111111"&"100000110",
    632=>"011000100"&"000100100",
    633=>"110111111"&"100001111",
    634=>"100100000"&"010110100",
    635=>"110010001"&"000001100",
    636=>"100110010"&"000011110",
    637=>"111111001"&"010110010",
    638=>"100010111"&"000001101",
    639=>"000110010"&"011100001",
    640=>"010000100"&"011011010",
    641=>"001001101"&"011001011",
    642=>"010100101"&"000011011",
    643=>"001000110"&"000100100",
    644=>"101011110"&"110011010",
    645=>"011000100"&"100100111",
    646=>"100011011"&"111011001",
    647=>"001100100"&"000100110",
    648=>"111011100"&"101101110",
    649=>"001000100"&"001100011",
    650=>"001110000"&"110111001",
    651=>"011000000"&"000000011",
    652=>"100000000"&"000000000",
    653=>"001100110"&"100110010",
    654=>"010001011"&"100100110",
    655=>"110011101"&"010011000",
    656=>"011000100"&"101101010",
    657=>"100011001"&"111011000",
    658=>"001100110"&"100111111",
    659=>"000100011"&"001010011",
    660=>"011000100"&"100100100",
    661=>"011100110"&"000110110",
    662=>"000000011"&"011011011",
    663=>"101110010"&"100011000",
    664=>"010010101"&"000011001",
    665=>"101110010"&"101110010",
    666=>"000001001"&"010000000",
    667=>"011001110"&"000100110",
    668=>"011000101"&"000111111",
    669=>"100101011"&"010010011",
    670=>"010000100"&"000011000",
    671=>"111110101"&"000100110",
    672=>"000000111"&"000010010",
    673=>"001001001"&"011011111",
    674=>"000000000"&"000000011",
    675=>"110011011"&"111111111",
    676=>"001000000"&"111110111",
    677=>"110110000"&"011101101",
    678=>"010100101"&"001000000",
    679=>"100100100"&"000111111",
    680=>"000000000"&"000000010",
    681=>"100100111"&"010111011",
    682=>"000000000"&"110100011",
    683=>"001000000"&"111111011",
    684=>"001001001"&"111111111",
    685=>"111111111"&"000000010",
    686=>"110011011"&"100110111",
    687=>"111111011"&"100111011",
    688=>"011101101"&"000000000",
    689=>"110010011"&"100010110",
    690=>"101101110"&"111111101",
    691=>"000000000"&"111111001",
    692=>"001000100"&"011001001",
    693=>"000000000"&"111111111",
    694=>"001001101"&"000000100",
    695=>"110110111"&"000111111",
    696=>"000000000"&"101110110",
    697=>"110111111"&"010011101",
    698=>"000100100"&"111111001",
    699=>"011001111"&"000000000",
    700=>"110001111"&"000100001",
    701=>"001001101"&"001011100",
    702=>"110111110"&"110011111",
    703=>"111111111"&"110111011",
    704=>"110100101"&"011111101",
    705=>"110000000"&"101100101",
    706=>"100001011"&"001000001",
    707=>"000100110"&"000000000",
    708=>"111011110"&"101100000",
    709=>"111100001"&"101100100",
    710=>"001111110"&"111111111",
    711=>"111001010"&"100101001",
    712=>"110000000"&"111000110",
    713=>"111000000"&"101101001",
    714=>"100000011"&"001010010",
    715=>"110100000"&"100100000",
    716=>"010000001"&"100000000",
    717=>"111111110"&"000000000",
    718=>"100000001"&"001000000",
    719=>"001000000"&"001001001",
    720=>"111000110"&"001011111",
    721=>"011111000"&"111011011",
    722=>"110100010"&"100100101",
    723=>"000000000"&"000000111",
    724=>"000001011"&"001000001",
    725=>"011111010"&"101111000",
    726=>"110100100"&"001000001",
    727=>"000000101"&"000000100",
    728=>"001001010"&"000000000",
    729=>"010111111"&"100000100",
    730=>"101111111"&"100000000",
    731=>"111110100"&"000110111",
    732=>"111111011"&"001001000",
    733=>"100000011"&"010010111",
    734=>"100001001"&"001000000",
    735=>"111001001"&"110100100",
    736=>"110010011"&"000000111",
    737=>"001001101"&"111100000",
    738=>"100100110"&"110000001",
    739=>"010010000"&"111101001",
    740=>"100110011"&"111111011",
    741=>"010011001"&"111000000",
    742=>"100110110"&"111100000",
    743=>"010011011"&"000000111",
    744=>"101110110"&"101101001",
    745=>"010011011"&"000010111",
    746=>"100110111"&"010110010",
    747=>"000001001"&"000001111",
    748=>"000000100"&"010001011",
    749=>"011001001"&"101011111",
    750=>"110011001"&"011111101",
    751=>"111011001"&"000000111",
    752=>"101100110"&"100000100",
    753=>"010010001"&"111000001",
    754=>"100101111"&"001010100",
    755=>"001101100"&"111101111",
    756=>"100110011"&"001000110",
    757=>"110010001"&"100000001",
    758=>"000100110"&"001000001",
    759=>"000100100"&"100000000",
    760=>"100100111"&"010111111",
    761=>"011001100"&"000011000",
    762=>"001100110"&"111110010",
    763=>"010001000"&"100110101",
    764=>"001010010"&"001000001",
    765=>"101110110"&"100001001",
    766=>"010010001"&"000011101",
    767=>"000000001"&"100000011",
    768=>"100100111"&"001101101",
    769=>"010010011"&"101100100",
    770=>"011001101"&"000000000",
    771=>"010010011"&"100000100",
    772=>"100100110"&"101111101",
    773=>"100010110"&"111010110",
    774=>"111101111"&"101101101",
    775=>"110010010"&"101100111",
    776=>"111011000"&"111111111",
    777=>"100100101"&"000000011",
    778=>"001000100"&"000000000",
    779=>"010010110"&"101100111",
    780=>"010000000"&"000000000",
    781=>"100000001"&"000000000",
    782=>"001001001"&"111100111",
    783=>"101001001"&"000110000",
    784=>"001001001"&"111111111",
    785=>"000100110"&"111000011",
    786=>"101001101"&"001000100",
    787=>"011001001"&"111001100",
    788=>"010010110"&"011111101",
    789=>"000010010"&"100111101",
    790=>"101101001"&"001000101",
    791=>"001011010"&"111000111",
    792=>"010010000"&"000000000",
    793=>"100100100"&"111001111",
    794=>"110110110"&"011011011",
    795=>"110100101"&"000000000",
    796=>"100100100"&"111000111",
    797=>"101101101"&"101101100",
    798=>"010101010"&"110111111",
    799=>"001000001"&"111000111",
    800=>"100000000"&"010010010",
    801=>"100110100"&"010010011",
    802=>"101111101"&"111110001",
    803=>"111111111"&"000000000",
    804=>"001101101"&"000001000",
    805=>"000000000"&"010011011",
    806=>"000001111"&"100100101",
    807=>"000101000"&"000011111",
    808=>"011101110"&"000000000",
    809=>"000101000"&"000011111",
    810=>"111111111"&"001000001",
    811=>"000001100"&"000000001",
    812=>"111111111"&"010000010",
    813=>"110111101"&"101100000",
    814=>"000100001"&"111111111",
    815=>"000000100"&"110111111",
    816=>"111111111"&"110100000",
    817=>"111101100"&"111100000",
    818=>"100111100"&"001001011",
    819=>"110000000"&"100100000",
    820=>"110101110"&"010000100",
    821=>"000000000"&"011001001",
    822=>"101100000"&"111100000",
    823=>"011000000"&"111100001",
    824=>"111111110"&"000000000",
    825=>"000001000"&"011111111",
    826=>"100001110"&"111110101",
    827=>"101111111"&"010001100",
    828=>"111011111"&"111011011",
    829=>"000111001"&"000101000",
    830=>"111011111"&"111100110",
    831=>"110111110"&"011111111",
    832=>"100101100"&"011110011",
    833=>"111001001"&"011110000",
    834=>"011000110"&"111111111",
    835=>"110010111"&"000000000",
    836=>"000010110"&"011111110",
    837=>"000100110"&"000010001",
    838=>"100100111"&"000111111",
    839=>"111001001"&"011010000",
    840=>"110100010"&"011011111",
    841=>"100100111"&"010000011",
    842=>"110110111"&"011111111",
    843=>"000100111"&"111000001",
    844=>"000100100"&"110000000",
    845=>"000010011"&"100000000",
    846=>"001000110"&"000011111",
    847=>"001000111"&"010100000",
    848=>"001111101"&"100101101",
    849=>"101100111"&"111000000",
    850=>"100110101"&"010000001",
    851=>"000101001"&"111111111",
    852=>"000000000"&"010110101",
    853=>"010000110"&"000001011",
    854=>"111011000"&"111110000",
    855=>"110101100"&"111100000",
    856=>"100001011"&"011011111",
    857=>"011100100"&"000000000",
    858=>"000000010"&"001011111",
    859=>"110111000"&"000000000",
    860=>"100110101"&"111000001",
    861=>"000000111"&"000111111",
    862=>"011001010"&"110000001",
    863=>"010110100"&"111000000",
    864=>"011111111"&"001001001",
    865=>"001000111"&"000001011",
    866=>"000000001"&"011011101",
    867=>"111000100"&"100111010",
    868=>"111111000"&"000111000",
    869=>"101001101"&"111100000",
    870=>"111111110"&"011110100",
    871=>"111000110"&"000011011",
    872=>"001100000"&"101100101",
    873=>"000000111"&"111100100",
    874=>"111100011"&"001111100",
    875=>"000000100"&"111010000",
    876=>"111000000"&"001111000",
    877=>"101111111"&"001111100",
    878=>"100100000"&"000100100",
    879=>"111001101"&"000000101",
    880=>"111111010"&"111110000",
    881=>"000000001"&"111100100",
    882=>"000100000"&"000111110",
    883=>"111111011"&"000000111",
    884=>"111000000"&"000001111",
    885=>"111000000"&"000000001",
    886=>"011111111"&"001011011",
    887=>"110100100"&"011100010",
    888=>"101101111"&"110111110",
    889=>"000101000"&"100101001",
    890=>"000000000"&"100100101",
    891=>"001111011"&"010101110",
    892=>"000001101"&"111110000",
    893=>"111111000"&"100101100",
    894=>"000011011"&"010110100",
    895=>"100000000"&"011001011",
    896=>"011011000"&"010000000",
    897=>"010011001"&"000000000",
    898=>"011000000"&"000001001",
    899=>"100100110"&"011111111",
    900=>"011011001"&"000000101",
    901=>"100010110"&"000000000",
    902=>"011011101"&"000010010",
    903=>"001111000"&"010000000",
    904=>"100011011"&"111000000",
    905=>"100101010"&"010111000",
    906=>"011001000"&"100011001",
    907=>"100010000"&"000000000",
    908=>"000000011"&"011111101",
    909=>"100100100"&"111110011",
    910=>"100100110"&"110110011",
    911=>"101101101"&"000110000",
    912=>"011011011"&"010100001",
    913=>"100100110"&"000011010",
    914=>"000011001"&"111111111",
    915=>"101101101"&"000000111",
    916=>"000001100"&"011111111",
    917=>"001011011"&"010110110",
    918=>"011011001"&"001000101",
    919=>"000100010"&"100110011",
    920=>"000101100"&"111011010",
    921=>"100000110"&"000100110",
    922=>"111001100"&"111011110",
    923=>"000000011"&"101000000",
    924=>"101100100"&"010011000",
    925=>"011011001"&"010011111",
    926=>"100100100"&"000101100",
    927=>"110100110"&"111011000",
    928=>"100100000"&"101100101",
    929=>"001001111"&"101000101",
    930=>"110110100"&"000000000",
    931=>"111100001"&"001101100",
    932=>"000000101"&"000000000",
    933=>"001001011"&"111001001",
    934=>"000001111"&"100000111",
    935=>"110100000"&"101000100",
    936=>"001111111"&"111000000",
    937=>"111110100"&"101000100",
    938=>"000001110"&"111111111",
    939=>"110100000"&"001000000",
    940=>"111010000"&"001000000",
    941=>"111111101"&"110010011",
    942=>"100000101"&"001001000",
    943=>"110000101"&"001000001",
    944=>"100100001"&"100111111",
    945=>"111100001"&"001000101",
    946=>"011010100"&"111101101",
    947=>"100000001"&"000000000",
    948=>"000000100"&"000000000",
    949=>"010110000"&"001000000",
    950=>"000001011"&"111111111",
    951=>"101111110"&"100100100",
    952=>"000001011"&"110110110",
    953=>"110110000"&"101101101",
    954=>"011011110"&"100000000",
    955=>"111111100"&"101101011",
    956=>"111000000"&"011001001",
    957=>"000101111"&"010010010",
    958=>"110010000"&"111111111",
    959=>"001011010"&"001000001",
    960=>"010111000"&"010000101",
    961=>"000011011"&"000000110",
    962=>"000100000"&"011100100",
    963=>"000100100"&"000111001",
    964=>"000100000"&"011100010",
    965=>"010000111"&"000110011",
    966=>"010111011"&"000111110",
    967=>"000011010"&"000100111",
    968=>"000000000"&"011110011",
    969=>"001001001"&"011000111",
    970=>"000000000"&"000001000",
    971=>"000000100"&"000000111",
    972=>"000000000"&"000000001",
    973=>"111111111"&"100000000",
    974=>"110111011"&"111111000",
    975=>"001001001"&"000100011",
    976=>"000000000"&"000110011",
    977=>"000101111"&"111001100",
    978=>"000111111"&"111101000",
    979=>"000000101"&"001000111",
    980=>"011011011"&"000011001",
    981=>"001111110"&"100111000",
    982=>"111111010"&"001000111",
    983=>"100100111"&"111001100",
    984=>"111111101"&"111001100",
    985=>"001111111"&"001000111",
    986=>"101111101"&"001000111",
    987=>"000000000"&"000111011",
    988=>"011111001"&"100000111",
    989=>"101010000"&"000111001",
    990=>"000000111"&"000001001",
    991=>"111111111"&"110001111",
    992=>"111100000"&"011001111",
    993=>"001100100"&"000100010",
    994=>"110110010"&"110110001",
    995=>"001001111"&"001100110",
    996=>"010000001"&"000000000",
    997=>"100111111"&"011001110",
    998=>"111100100"&"000000011",
    999=>"111100101"&"000001111",
    1000=>"001001001"&"111011111",
    1001=>"111110100"&"100000000",
    1002=>"011011000"&"111001001",
    1003=>"000000001"&"000000000",
    1004=>"000000011"&"111111010",
    1005=>"001001011"&"011111110",
    1006=>"100101100"&"010001001",
    1007=>"001010111"&"100110110",
    1008=>"000011011"&"010010010",
    1009=>"100110110"&"000001110",
    1010=>"000000001"&"011001011",
    1011=>"011000111"&"000011010",
    1012=>"000011011"&"111111111",
    1013=>"001001011"&"111111000",
    1014=>"111100100"&"100100111",
    1015=>"100100111"&"111111001",
    1016=>"010001100"&"110000001",
    1017=>"000011110"&"101110110",
    1018=>"110110001"&"110100111",
    1019=>"001011010"&"011101011",
    1020=>"100101111"&"001011100",
    1021=>"111001100"&"011000011",
    1022=>"000111111"&"101110011",
    1023=>"000010010"&"111111011");
    attribute rom_style : string; 
    attribute rom_style of ROM_content : signal is "block";
BEGIN
proc_name: process(clk)
begin
  if rising_edge(clk) then
    weight <= ROM_content(to_integer(address));
  end if;
end process proc_name;END RTL;